%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
  <title>Cross Binutils-&binutils-version;</title>
@y
  <title>クロス Binutils-&binutils-version;</title>
@z

@x
    <secondary>cross tools</secondary>
@y
    <secondary>&CrossTools;</secondary>
@z

@x
    <title>Installation of Cross Binutils</title>
@y
    <title>&InstallationOf1;クロス Binutils &InstallationOf2;</title>
@z

@x
    <para os="da">It is important that Binutils be compiled before Glibc and
    GCC because both Glibc and GCC perform various tests on the available
    linker and assembler to determine which of their own features to
    enable.</para>
@y
    <para os="da">
    Binutils は Glibc や GCC よりも前にビルドすることが重要です。
    Glibc や GCC では各種機能の確認テストにおいてリンカーやアセンブラーを利用するためです。
    </para>
@z

@x
      <title>The meaning of the new configure options:</title>
@y
      <title>&MeaningOfOption1;configure &MeaningOfOption2;</title>
@z

@x AR=ar AS=as
          <para>This prevents Binutils from compiling with ${CLFS_HOST}-ar
           and ${CLFS_HOST}-as as they are provided by this package and therefore
           not installed yet.</para>
@y
          <para>
          これは Binutils のビルドにあたって ${CLFS_HOST}-ar と ${CLFS_HOST}-as によるビルドが行われるようにします。
          これらは本パッケージがビルドするものであって、まだインストールされていません。
          </para>
@z

@x --host=${CLFS_HOST}
          <para>When used with <option>--target</option>, this creates a
          cross-architecture executable which creates files for
          ${CLFS_TARGET} but runs on ${CLFS_HOST}.</para>
@y
          <para>
          <option>--target</option> の指定と合わせることで、クロスアーキテクチャー用実行モジュールを生成します。
          実行モジュールは ${CLFS_TARGET} に生成し ${CLFS_HOST} 上にて実行するモジュールとなります。
          </para>
@z

@x --target=${CLFS_TARGET}
          <para>When used with <option>--host</option>, this creates a
          cross-architecture executable that creates files for
          ${CLFS_TARGET} but runs on ${CLFS_HOST}.</para>
@y
          <para>
          <option>--host</option> の指定と合わせることで、クロスアーキテクチャー用実行モジュールを生成します。
          実行モジュールは ${CLFS_TARGET} に生成し ${CLFS_HOST} 上にて実行するモジュールとなります。
          </para>
@z

@x --with-sysroot=${CLFS}
          <para>Tells configure to build a linker that uses ${CLFS} as its
          root directory for its search paths.</para>
@y
          <para>
          リンカーの検索パスのルートディレクトリを ${CLFS} とすることを指定します。
          </para>
@z

@x --with-lib-path=/tools/lib
          <para>This tells the configure script to specify the library
          search path during the compilation of Binutils, resulting in
          <filename class="directory">/tools/lib</filename> being passed
          to the linker. This prevents the linker from searching through
          library directories on the host.</para>
@y
          <para>
          Binutils のビルド中に探索するライブラリのパスを configure スクリプトに対して指定します。
          リンカーへはディレクトリ <filename
          class="directory">/tools/lib</filename> が指定されます。
          これによってリンカーは、ホスト上のライブラリディレクトリを探索しないようになります。
          </para>
@z

@x --disable-nls
          <para>This disables internationalization as i18n is not needed for the
          cross-compile tools.</para>
@y
          <para>
          これは i18n 国際化を無効とします。
          クロスコンパイルツールの生成においては不要だからです。
          </para>
@z

@x --disable-multilib
          <para>This option disables the building of a multilib
          capable Binutils.</para>
@y
          <para>
          これはマルチライブラリに対応した Binutils としてはビルドしないことを指示します。
          </para>
@z

@x --disable-werror
          <para>This prevents the build from stopping in the event that there
          are warnings from the host's compiler.</para>
@y
          <para>
          ホストのコンパイラーにより警告メッセージが発生してもビルドが中断しないようにします。
          </para>
@z

@x --enable-gold=yes
          <para>This option enables the building of the gold linker.</para>
@y
          <para>
          ゴールドリンカー (gold linker) をビルドすることを指示します。
          </para>
@z

@x --enable-plugins
          <para>This option enables support for plugins.</para>
@y
          <para>
          プラグインサポートを有効にします。
          </para>
@z

@x --enable-threads
          <para>This option enables multi-threaded linking for the gold linker.</para>
@y
          <para>
          ゴールドリンカー (gold linker) に対するマルチスレッドリンクを有効にします。
          </para>
@z

@x
    <para os="be">Compile the package:</para>
@y
    <para os="be">&CompileThePackage;</para>
@z

@x
    <para os="bh">Install the package:</para>
@y
    <para os="bh">&InstallThePackage;</para>
@z

@x
    <para>Details on this package are located in <xref
    linkend="contents-binutils" role="."/></para>
@y
    <para>
    &Details1;<xref linkend="contents-binutils" role=""/>&Details2;
    </para>
@z