%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
  <title>Build Variables</title>
@y
  <title>ビルド変数</title>
@z

@x
  <bridgehead renderas="sect4">Setting Host and Target</bridgehead>
@y
  <bridgehead renderas="sect4">ホストおよびターゲットの設定</bridgehead>
@z

@x
  <para os="a">During the building of the cross-compile tools you will need to
  set a few variables that will be dependent on your particular needs.
  The first variable will be the triplet of the host machine, which will be
  put into the <envar>CLFS_HOST</envar> variable. To account for the
  possibility that the host and target are the same arch, as cross-compiling
  won't work when host and target are the same, part of the triplet needs to
  be changed slightly - in our case, we will change part of the triplet
  to "cross". Set <envar>CLFS_HOST</envar> using the following command:</para>
@y
  <para os="a">
  クロスコンパイルツールをビルドする間には、環境に合わせた固有の情報を変数に設定しておく必要があります。
  一つめの変数はホストマシンのターゲットの三つ組 (target triplets) を変数 <envar>CLFS_HOST</envar> に設定します。
  ホストとターゲットのアーキテクチャーは同一である可能性があるわけですが、両者が同一であるとクロスコンパイル作業がうまく出来ません。
  そこで三つ組の情報は一部を微妙に変える必要があります。
  ここでは三つ組の情報に "cross" を加えます。
  以下のコマンドにより <envar>CLFS_HOST</envar> を設定します。
  </para>
@z

@x
  <para os="c">Now you will need to set the triplet for the target
  architecture. Set the target variable using the following command:</para>
@y
  <para os="c">
  ターゲットアーキテクチャーに対応してターゲットの三つ組 (target triplets) を設定する必要があります。
  以下のコマンドを使ってターゲット変数を設定します。
  </para>
@z

@x
  <para os="t1">Replace [target triplet] with the appropriate machine triplet
  using the table at the bottom of the page.</para>
@y
  <para os="t1">
  [target triplet] の部分は、本ページ最後に示すターゲットの三つ組の中から適切なものを選んで置き換えてください。
  </para>
@z

@x
  <bridgehead renderas="sect4">Copy settings to the Environment</bridgehead>
@y
  <bridgehead renderas="sect4">環境への設定コピー</bridgehead>
@z

@x
  <para os="e">Now add these to <filename>~/.bashrc</filename>, just in
  case you have to exit and restart building later:</para>
@y
  <para os="e">
  上のビルド変数を <filename>~/.bashrc</filename> に加えておきます。
  こうすることで、再ログインした場合などに設定し忘れることがないようにします。
  </para>
@z

@x
    <title>Processor Type and  Target Triplets</title>
@y
    <title>プロセッサータイプとターゲットの三つ組 (Target Triplets)</title>
@z

@x
          <entry>Processor</entry>
          <entry>Target Triplet</entry>
@y
          <entry>プロセッサー</entry>
          <entry>ターゲットの三つ組</entry>
@z

@x
          <entry>386 Compatibles</entry>
          <entry>Not Supported By Glibc</entry>
@y
          <entry>386 互換</entry>
          <entry>Glibc 未対応</entry>
@z

@x
          <entry>486 Compatibles</entry>
          <entry>i486-pc-linux-gnu</entry>
@y
          <entry>486 互換</entry>
          <entry>i486-pc-linux-gnu</entry>
@z

@x
          <entry>Pentium, K6, 586 Compatibles</entry>
          <entry>i586-pc-linux-gnu</entry>
@y
          <entry>Pentium, K6, 586 互換</entry>
          <entry>i586-pc-linux-gnu</entry>
@z

@x
          <entry>Pentium II, Pentium III, Pentium 4</entry>
          <entry>i686-pc-linux-gnu</entry>
@y
          <entry>Pentium II, Pentium III, Pentium 4</entry>
          <entry>i686-pc-linux-gnu</entry>
@z

@x
          <entry>Athlon, Duron</entry>
          <entry>i686-pc-linux-gnu</entry>
@y
          <entry>Athlon, Duron</entry>
          <entry>i686-pc-linux-gnu</entry>
@z