%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <para>The Bash package contains the Bourne-Again SHell.</para>
@y
    <para>
    Bash パッケージは Bourne-Again SHell を提供します。
    </para>
@z

@x
    <title>Installation of Bash</title>
@y
    <title>&InstallationOf1;Bash &InstallationOf2;</title>
@z

@x
    <para os="p1">The following patch contains updates from the maintainer. The
    maintainer of Bash only releases these patches to fix serious issues:</para>
@y
    <para os="p1">
    以下のパッチは開発者によるアップデートです。
    開発者は重大な不具合に関してのみこのようなパッチを提供しています。
    </para>
@z

@x
    <para os="a">Prepare Bash for compilation:</para>
@y
    <para os="a">&PreparePackage1;Bash &PreparePackage2;</para>
@z

@x
      <title>The meaning of the new configure option:</title>
@y
      <title>&MeaningOfOption1;configure &MeaningOfOption2;</title>
@z

@x --with-installed-readline
          <para>This option tells Bash to use the
          <filename class="libraryfile">readline</filename> library that is
          already installed on the system rather than using its own readline
          version.</para>
@y
          <para>
          このオプションは Bash が持つ独自の <filename
          class="libraryfile">readline</filename> ライブラリではなく、既にインストールした <filename
          class="libraryfile">readline</filename> ライブラリを用いることを指示します。
          </para>
@z

@x
    <para os="d">Compile the package:</para>
@y
    <para os="d">&CompileThePackage;</para>
@z

@x
    <para os="f">To test the results, issue:</para>
@y
    <para os="f">
    ビルド結果をテストする場合は以下を実行します。
    </para>
@z

@x
    <para os="g">Install the package:</para>
@y
    <para os="g">&InstallThePackage;</para>
@z

@x
    <para os="i">Move the <command>bash</command> binary to
    <filename class="directory">/bin</filename>, overwriting the symlink
    that was previously created:</para>
@y
    <para os="i">
    <command>bash</command> プログラムを <filename class="directory">/bin</filename> に移動します。
    以前に生成していたシンボリックリンクはこれにより上書きされます。
    </para>
@z

@x
    <para os="k">Run the newly compiled <command>bash</command> program (replacing
    the one that is currently being executed):</para>
@y
    <para os="k">
    新たにコンパイルした <command>bash</command> プログラムを実行します。
    (この時点までに実行されていたものが置き換えられます。)
    </para>
@z

@x
      <para>The parameters used make the <command>bash</command>
      process an interactive login shell and continue to disable hashing so
      that new programs are found as they become available.</para>
@y
      <para>
      ここで指定しているパラメーターは対話形式のログインシェルとして、またハッシュ機能を無効にして <command>bash</command> プロセスを起動します。
      これにより新たに構築するプログラム類は構築後すぐに利用できることになります。
      </para>
@z

@x
    <title>Contents of Bash</title>
@y
    <title>&ContentsOf1;Bash &ContentsOf2;</title>
@z

@x
      <segtitle>Installed programs</segtitle>
      <segtitle>Installed directory</segtitle>
@y
      <segtitle>&InstalledProgram;</segtitle>
      <segtitle>&InstalledDirectory;</segtitle>
@z

@x
        <seg>bash, bashbug, sh (link to bash)</seg>
        <seg>/usr/share/doc/bash-&bash-version;</seg>
@y
        <seg>bash, bashbug, sh (&LinkTo1;bash &LinkTo2;)</seg>
        <seg>/usr/share/doc/bash-&bash-version;</seg>
@z

@x
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@y
      <bridgehead renderas="sect3">&ShortDescriptions;</bridgehead>
@z

@x bash
          <para>A widely-used command interpreter; it performs many types of
          expansions and substitutions on a given command line before executing
          it, thus making this interpreter a powerful tool</para>
@y
          <para>
          広く活用されているコマンドインタープリター。
          処理実行前には、指示されたコマンドラインをさまざまに展開したり置換したりします。
          この機能があるからこそインタープリター機能を強力なものにしています。
          </para>
@z

@x bashbug
          <para>A shell script to help the user compose and mail standard
          formatted bug reports concerning <command>bash</command></para>
@y
          <para>
          <command>bash</command> に関連したバグ報告を、標準書式で生成しメール送信することを補助するシェルスクリプトです。
          </para>
@z

@x sh
          <para>A symlink to the <command>bash</command> program; when invoked
          as <command>sh</command>, <command>bash</command> tries to mimic the
          startup behavior of historical versions of <command>sh</command> as
          closely as possible, while conforming to the POSIX standard as
          well</para>
@y
          <para>
          <command>bash</command> プログラムへのシンボリックリンク。
          <command>sh</command> として起動された際には、かつてのバージョンである <command>sh</command> の起動時の動作と、出来るだけ同じになるように振舞います。
          同時に POSIX 標準に適合するよう動作します。
          </para>
@z