%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <para>D-Bus is a message bus system, a simple way for applications
    to talk to one another.</para>
@y
    <para>
    D-Bus はメッセージバスシステムであり、アプリケーションから他のアプリケーションへの通信を容易に行う方法を提供します。
    </para>
@z

@x
    <title>Installation of D-Bus</title>
@y
    <title>&InstallationOf1;D-Bus &InstallationOf2;</title>
@z

@x
    <para os="a">Prepare D-Bus for compilation:</para>
@y
    <para os="a">&PreparePackage1;D-Bus &PreparePackage2;</para>
@z

@x
    <para os="c">Compile the package:</para>
@y
    <para os="c">&CompileThePackage;</para>
@z

@x
    <para os="e">This package does come with a test suite, but it requires
    several packages that are not included in CLFS. Instructions for running
    the test suite can be found in the CBLFS wiki at
    <ulink url="&cblfs-root;index.php/D-BUS_Core"/>.</para>
@y
    <para os="e">
    本パッケージにはテストスイートがあります。
    ただし実行するためには CLFS には含まれていないパッケージをいくつか必要とします。
    テストの実行方法については CBLFS wiki <ulink
    url="&cblfs-root;index.php/D-BUS_Core"/> に示されています。
    </para>
@z

@x
    <para os="f">Install the package:</para>
@y
    <para os="f">&InstallThePackage;</para>
@z

@x
    <para os="h">Move the shared library to <filename class="directory">/lib
    </filename> and recreate the symbolic link.</para>
@y
    <para os="h">
    共有ライブラリを <filename class="directory">/lib</filename> に移動し、シンボリックリンクを再生成します。
    </para>
@z

@x
    <para os="j">Create a symlink so that D-Bus and systemd can use the same
    <filename>machine-id</filename> file:</para>
@y
    <para os="j">
    D-Bus と systemd の双方がともに <filename>machine-id</filename> ファイルを利用するようにシンボリックリンクを生成します。
    </para>
@z

@x
    <title>Contents of D-Bus</title>
@y
    <title>&ContentsOf1;D-Bus &ContentsOf2;</title>
@z

@x
      <segtitle>Installed programs</segtitle>
      <segtitle>Installed libraries</segtitle>
      <segtitle>Installed directories</segtitle>
@y
      <segtitle>&InstalledProgram;</segtitle>
      <segtitle>&InstalledLibrary;</segtitle>
      <segtitle>&InstalledDirectory;</segtitle>
@z

@x
        <seg>dbus-cleanup-sockets, dbus-daemon, dbus-launch, dbus-monitor, dbus-send, dbus-uuidgen</seg>
        <seg>libdbus-1.[a,so]</seg>
        <seg>/etc/dbus-1, /usr/include/dbus-1.0, /usr/lib/dbus-1.0,
        /usr/share/doc/dbus-&dbus-version;, /var/lib/dbus</seg>
@y
        <seg>dbus-cleanup-sockets, dbus-daemon, dbus-launch, dbus-monitor, dbus-send, dbus-uuidgen</seg>
        <seg>libdbus-1.[a,so]</seg>
        <seg>/etc/dbus-1, /usr/include/dbus-1.0, /usr/lib/dbus-1.0,
        /usr/share/doc/dbus-&dbus-version;, /var/lib/dbus</seg>
@z

@x
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@y
      <bridgehead renderas="sect3">&ShortDescriptions;</bridgehead>
@z

@x dbus-cleanup-sockets
          <para>Cleans up leftover sockets in a directory</para>
@y
          <para>
          ディレクトリ内に取り残されたソケットをクリアします。
          </para>
@z

@x dbus-daemon
          <para>The message bus daemon</para>
@y
          <para>
          メッセージバスデーモン。
          </para>
@z

@x dbus-uuidgen
          <para>Utility to generate UUIDs</para>
@y
          <para>
          UUIDを生成するユーティリティー。
          </para>
@z

@x dbus-monitor
          <para>A debug probe that prints message bus messages</para>
@y
          <para>
          メッセージバスを通じたメッセージ送信を監視します。
          </para>
@z

@x dbus-launch
          <para>Utility to start a message bus from a shell script</para>
@y
          <para>
          シェルスクリプトからメッセージバスを起動するユーティリティー。
          </para>
@z

@x dbus-send
          <para>Send a message to a message bus</para>
@y
          <para>
          メッセージバスへメッセージを送信します。
          </para>
@z

@x libdbus-1
          <para>Library containing the API for using the message bus</para>
@y
          <para>
          メッセージバスを用いた API 関数を提供します。
          </para>
@z