%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <para>The Eudev package contains programs for dynamic creation of device
    nodes.</para>
@y
    <para>
    Eudev パッケージはデバイスノードの動的生成を行うプログラムを提供します。
    </para>
@z

@x
    <title>Installation of Eudev</title>
@y
    <title>&InstallationOf1;Eudev &InstallationOf2;</title>
@z

@x
    <para os="a">Prepare Eudev for compilation:</para>
@y
    <para os="a">&PreparePackage1;Eudev &PreparePackage2;</para>
@z

@x
    <para os="c">Compile the package:</para>
@y
    <para os="c">&CompileThePackage;</para>
@z

@x
    <para os="e">To test the results, issue:</para>
@y
    <para os="e">
    ビルド結果をテストする場合は以下を実行します。
    </para>
@z

@x
    <para os="g">Install the package:</para>
@y
    <para os="g">&InstallThePackage;</para>
@z

@x
    <para os="i">Create a directory for storing firmware that can be
    loaded by <command>udev</command>:</para>
@y
    <para os="i">
    <command>udev</command> コマンドによってロードされるファームウエア情報を保存するディレクトリを生成します。
    </para>
@z

@x
    <para os="r1">Create a dummy rule so that Eudev will name ethernet devices properly for the system.</para>
@y
    <para os="r1">
    ダミールールを生成します。
    これにより Eudev がイーサネットデバイスを適切に命名できるようにします。
    </para>
@z

@x
    <title>Contents of Eudev</title>
@y
    <title>&ContentsOf1;Eudev &ContentsOf2;</title>
@z

@x
      <segtitle>Installed programs</segtitle>
      <segtitle>Installed library</segtitle>
      <segtitle>Installed directories</segtitle>
@y
      <segtitle>&InstalledProgram;</segtitle>
      <segtitle>&InstalledLibrary;</segtitle>
      <segtitle>&InstalledDirectory;</segtitle>
@z

@x
        <seg>ata_id, cdrom_id, collect, create_floppy_devices, edd_id,
        firmware.sh, fstab_import, path_id, scsi_id, udevadm, udevd, usb_id,
        v4l_id, write_cd_rules, write_net_rules</seg>
        <seg>libudev</seg>
        <seg>/etc/udev, /lib/firmware, /lib/udev</seg>
@y
        <seg>ata_id, cdrom_id, collect, create_floppy_devices, edd_id,
        firmware.sh, fstab_import, path_id, scsi_id, udevadm, udevd, usb_id,
        v4l_id, write_cd_rules, write_net_rules</seg>
        <seg>libudev</seg>
        <seg>/etc/udev, /lib/firmware, /lib/udev</seg>
@z

@x
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@y
      <bridgehead renderas="sect3">&ShortDescriptions;</bridgehead>
@z

@x udevadm
        <para>Controls the runtime behavior of Eudev, requests kernel
        events, manages the event queue, and provides simple debugging.</para>
@y
        <para>
        Eudev 実行時の制御、カーネルイベントへの指示、イベントキュー制御、簡易なデバッグ機能を提供します。
        </para>
@z

@x udevd
          <para>A daemon that reorders hotplug events before submitting them to
          <command>udev</command>,
          thus avoiding various race conditions</para>
@y
          <para>
          ホットプラグイベントの順序を正しくして <command>udev</command> に提供するデーモンです。
          これによりさまざまな競合が回避されます。
          </para>
@z

@x ata_id
          <para>Provides Eudev with a unique string and additional
          information (uuid, label) for an ATA drive</para>
@y
          <para>
          ATA ドライブに対するユニークな文字列と追加情報 (uuid、ラベル) を Eudev に提供します。
          </para>
@z

@x cdrom_id
          <para>Prints the capabilities of a CDROM or DVDROM drive.</para>
@y
          <para>
          CD-ROM ドライブや DVD-ROM ドライブの情報を表示します。
          </para>
@z

@x collect
          <para>Given an ID for the current uevent and a list of IDs
(for all target uevents), registers the current ID and indicates whether
all target IDs have been registered.</para>
@y
          <para>
          現在の uevent の ID と (すべての対象 uevent に対する) ID
          のリストを与えることで現在の ID を登録し、すべての対象 ID が既に登録済みであるかどうかを示します。
          </para>
@z

@x create_floppy_devices
          <para>Creates all possible floppy devices based on the CMOS type</para>
@y
          <para>
          CMOS タイプに基づくフロッピーデバイスをすべて生成します。 
          </para>
@z

@x edd_id
          <para>Identifies x86 disk drives from Enhanced Disk Drive calls</para>
@y
          <para>
          Enhanced Disk Drive コールから x86 ディスクドライブを識別します。
          </para>
@z

@x firmware.sh
          <para>Script to load firmware for a device</para>
@y
          <para>
          デバイスのファームウェアをロードします。
          </para>
@z

@x fstab_import
          <para>Finds an entry in <filename>/etc/fstab</filename> that matches
the current device, and provides its information to Udev.</para>
@y
          <para>
          <filename>/etc/fstab</filename> に記述された項目の中から現在のデバイスに合致するものを探し出しその情報を Eudev に提供します。
          </para>
@z

@x path_id
          <para>Provides the shortest possible unique hardware path to a
          device</para>
@y
          <para>
          デバイスへのパスとして、可能な限り最も短くユニークなハードウェアパスを提供します。
          </para>
@z

@x scsi_id
          <para>Retrieves or generates a unique SCSI identifier.</para>
@y
          <para>
          SCSI の固有識別を取得または生成します。
          </para>
@z

@x usb_id
          <para>Identifies a USB block device.</para>
@y
          <para>
          USB ブロックデバイスを識別します。
          </para>
@z

@x v4l_id
          <para>Determines V4L capabilities for a given device.</para>
@y
          <para>
          指定されたデバイスに V4L 機能があるかどうかを決定します。
          </para>
@z

@x write_cd_rules
          <para>A script which generates Eudev rules to provide stable names
for network interfaces.</para>
@y
          <para>
          光学ドライブに対する固定的な名称を定めた Eudev ルールを生成するためのスクリプト。
          </para>
@z

@x write_net_rules
          <para>A script which generates Eudev rules to provide stable names
for network interfaces.</para>
@y
          <para>
          ネットワークインターフェースに対する固定的な名称を定めた Eudev ルールを生成するためのスクリプト。
          </para>
@z

@x libudev
          <para>A library interface to eudev device information.</para>
@y
          <para>
          eudev デバイス情報へのインターフェースライブラリ。
          </para>
@z

@x /etc/udev
          <para>Contains <command>udev</command> configuration files,
          device permissions, and rules for device naming</para>
@y
          <para>
          <command>udev</command> の設定ファイル、デバイスのパーミッション、デバイス名に対するルールを設定します。
          </para>
@z

@x /lib/udev
          <para>Contains <command>udev</command> helper programs
          and static devices which get copied to /dev when booted.</para>
@y
          <para>
          <command>udev</command> ヘルパープログラムと起動時に /dev へコピーするスタティックデバイスを設定します。
          </para>
@z