%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
  <title>Glibc-&glibc-version; 64-Bit</title>
@y
  <title>Glibc-&glibc-version; 64-&Bit;</title>
@z

@x
    <title>Installation of Glibc</title>
@y
    <title>&InstallationOf1;Glibc &InstallationOf2;</title>
@z

@x
    <para os="m1">Configure Glibc to install its 64-bit libraries into
    <filename class="directory">/lib64</filename>:</para>
@y
    <para os="m1">
    64 ビットライブラリを <filename class="directory">/lib64</filename> にインストールするようにします。
    </para>
@z

@x
      <title>The meaning of the new configure option:</title>
@y
      <title>&MeaningOfOption1;configure &MeaningOfOption2;</title>
@z

@x --libexecdir=/usr/lib64/glibc
          <para>This changes the location for hard links to the
          <command>getconf</command> utility from their default of <filename
          class="directory">/usr/libexec</filename> to <filename
          class="directory">/usr/lib64/glibc</filename>.</para>
@y
          <para>
          <command>getconf</command> ユーティリティーへのハードリンクのインストールディレクトリを、デフォルトの <filename
          class="directory">/usr/libexec</filename> でなく <filename
          class="directory">/usr/lib64/glibc</filename> に変更します。
          </para>
@z

@x
    <title>Configuring The Dynamic Loader</title>
@y
    <title>&Configuring1;ダイナミックローダー&Configuring2;</title>
@z

@x
    <para os="ld-a">By default, the dynamic loader (<filename
    class="libraryfile">/lib/ld-linux.so.2</filename> for 32bit executables and
    <filename class="libraryfile">/lib64/ld-linux.so.2</filename> for
    64bit executables) searches through
    <filename class="directory">/lib</filename>,
    <filename class="directory">/lib64</filename>,
    <filename class="directory">/usr/lib</filename>,
    and <filename class="directory">/usr/lib64</filename> for dynamic
    libraries that are needed by programs as they are run. However, if
    there are libraries in directories other than these, they need to be
    added to the <filename>/etc/ld.so.conf</filename> file in order
    for the dynamic loader to find them. Some directories that are commonly
    known to contain additional libraries are
    <filename class="directory">/usr/local/lib</filename>,
    <filename class="directory">/usr/local/lib64</filename>,
    <filename class="directory">/opt/lib</filename>,
    and <filename class="directory">/opt/lib64</filename>,
    so add those directories to the dynamic loader's search path.</para>
@y
    <para os="ld-a">
    ダイナミックリンカー (32ビットモジュール用 <filename
    class="libraryfile">/lib32/ld.so.1</filename>、64ビットモジュール用 <filename
    class="libraryfile">/lib64/ld.so.1</filename>) がダイナミックライブラリを検索するデフォルトのディレクトリは <filename
    class="directory">/lib</filename> ディレクトリ、<filename
    class="directory">/lib64</filename> ディレクトリ、<filename
    class="directory">/usr/lib</filename> ディレクトリ、<filename
    class="directory">/usr/lib64</filename> ディレクトリです。
    各種プログラムが実行される際にはここから検索されたダイナミックライブラリがリンクされます。
    もしこれ以外のディレクトリにライブラリファイルがあるなら <filename>/etc/ld.so.conf</filename> ファイルに記述を追加して、ダイナミックローダーが探し出せるようにしておくことが必要です。
    ライブラリが配置される追加のディレクトリとしては <filename
    class="directory">/usr/local/lib</filename>, <filename
    class="directory">/usr/local/lib64</filename>, <filename
    class="directory">/opt/lib</filename>, <filename
    class="directory">/opt/lib64</filename> といったものがよく利用されます。
    ダイナミックローダーの検索パスとしてこのようなディレクトリを追加します。
    </para>
@z

@x
    <para os="ld-b">Create a new file <filename>/etc/ld.so.conf</filename> by running the
    following:</para>
@y
    <para os="ld-b">
    以下のコマンドを実行して <filename>/etc/ld.so.conf</filename> ファイルを新たに生成します。
    </para>
@z