%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <para>The GRUB package contains the GRand Unified Bootloader.</para>
@y
    <para>
    GRUB パッケージは GRand Unified Bootloader を提供します。
    </para>
@z

@x
    <title>Installation of GRUB</title>
@y
    <title>&InstallationOf1;GRUB &InstallationOf2;</title>
@z

@x
      <para>If you would like use a different bootloader than this
      one you can go to the following link for alternative bootloaders
      and the instructions to use them.
      <ulink url="http://trac.clfs.org/wiki/bootloaders"/></para>
@y
      <para>
      GRUB とは別のブートローダーを利用したい場合は、以下のリンクを参照しその手順に従ってください。
      <ulink url="http://trac.clfs.org/wiki/bootloaders"/>
      </para>
@z

@x
      <para>This package is known to have issues when its default optimization
      flags (including the <option>-march</option> and <option>-mtune</option>
      options) are changed. If any environment variables that override default
      optimizations have been defined, such as <envar>CFLAGS</envar> and
      <envar>CXXFLAGS</envar>, unset them when building GRUB.</para>
@y
      <para>
      このパッケージでは最適化フラグ (<option>-march</option>、 <option>-mtune</option> など) のデフォルト値を変更した場合に問題が発生します。
      <envar>CFLAGS</envar> や <envar>CXXFLAGS</envar> といった環境変数を通じてデフォルトの最適化フラグを設定している場合は、その設定を解除してから GRUB のビルドを行ってください。
      </para>
@z

@x
    <para os="s1">Glibc-&glibc-version; does not declare gets():</para>
@y
    <para os="s1">
    Glibc-&glibc-version; では gets() が宣言されていません。
    </para>
@z

@x
    <para os="a">Prepare GRUB for compilation:</para>
@y
    <para os="a">&PreparePackage1;GRUB &PreparePackage2;</para>
@z

@x
    <para os="c">Compile the package:</para>
@y
    <para os="c">&CompileThePackage;</para>
@z

@x
    <para os="e">To test GRUB you must have QEMU installed and then, issue:</para>
@y
    <para os="e">
    GRUB をテストするには QEMU がインストールされていなければなりません。
    インストールされているなら以下を実行します。
    </para>
@z

@x
    <para os="f">Install the package:</para>
@y
    <para os="f">&InstallThePackage;</para>
@z

@x
    <title>Configuring GRUB</title>
@y
    <title>&Configuring1;GRUB &Configuring2;</title>
@z

@x
    <secondary>configuring</secondary></indexterm>
@y
    <secondary>設定</secondary></indexterm>
@z

@x
    <para>Now that grub is installed, we need to configure the defaults that
    will be used to generate the configuration after we install the kernel.
    Create this file with the following:</para>
@y
    <para>
    上記により GRUB をインストールしました。
    カーネルをインストールした後に設定を行うためのデフォルト値を指示しておくことが必要です。
    そこで以下のファイルを生成します。
    </para>
@z

@x
      <title>The meaning of the above options and possible alternate
      values:</title>
@y
      <title>上記オプションの意味:</title>
@z

@x
      <term><parameter>GRUB_DEFAULT=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_DEFAULT=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_SAVEDEFAULT=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_SAVEDEFAULT=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_HIDDEN_TIMEOUT=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_HIDDEN_TIMEOUT=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_HIDDEN_TIMEOUT_QUIET=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_HIDDEN_TIMEOUT_QUIET=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_TIMEOUT=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_TIMEOUT=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_DISTRIBUTOR=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_DISTRIBUTOR=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_CMDLINE_LINUX=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_CMDLINE_LINUX=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_CMDLINE_LINUX_DEFAULT=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_CMDLINE_LINUX_DEFAULT=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_TERMINAL=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_TERMINAL=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_GFXMODE=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_GFXMODE=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_GFXPAYLOAD_LINUX=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_GFXPAYLOAD_LINUX=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_DEFAULT=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_DEFAULT=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_DISABLE_LINUX_UUID=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_DISABLE_LINUX_UUID=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_DISABLE_LINUX_RECOVERY=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_DISABLE_LINUX_RECOVERY=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_INIT_TUNE=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_INIT_TUNE=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
      <term><parameter>GRUB_DISABLE_OS_PROBER=</parameter></term>
      <listitem>
        <para>Write Me</para>
@y
      <term><parameter>GRUB_DISABLE_OS_PROBER=</parameter></term>
      <listitem>
        <para>(記述未済)</para>
@z

@x
    <title>Contents of GRUB</title>
@y
    <title>&ContentsOf1;GRUB &ContentsOf2;</title>
@z

@x
      <segtitle>Installed programs</segtitle>
      <segtitle>Installed directories</segtitle>
@y
      <segtitle>&InstalledProgram;</segtitle>
      <segtitle>&InstalledDirectory;</segtitle>
@z

@x
        <seg>grub, grub-install, grub-md5-crypt, grub-set-default, grub-terminfo, and mbchk</seg>
        <seg>/usr/lib/grub, /boot/grub</seg>
@y
        <seg>grub, grub-install, grub-md5-crypt, grub-set-default, grub-terminfo, mbchk</seg>
        <seg>/usr/lib/grub, /boot/grub</seg>
@z

@x
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@y
      <bridgehead renderas="sect3">&ShortDescriptions;</bridgehead>
@z

@x grub
          <para>The Grand Unified Bootloader's command shell</para>
@y
          <para>
          Grand Unified Bootloader のコマンドシェル。
          </para>
@z

@x grub-install
          <para>Installs GRUB on the given device</para>
@y
          <para>
          指定されたデバイスに GRUB をインストールします。
          </para>
@z

@x grub-md5-crypt
          <para>Encrypts a password in MD5 format</para>
@y
          <para>
          MD5 形式によりパスワードを暗号化します。
          </para>
@z

@x grub-set-default
          <para>Sets the default boot entry for GRUB</para>
@y
          <para>
          デフォルトのブートメニューを設定します。
          </para>
@z

@x grub-terminfo
          <para>Generates a terminfo command from a terminfo name; it can be
          employed if an unknown terminal is being used</para>
@y
          <para>
          terminfo 名から terminfo コマンドを生成します。
          端末が不明である場合に利用されます。
          </para>
@z

@x mbchk
          <para>Checks the format of a multi-boot kernel</para>
@y
          <para>
          マルチブートカーネルの書式をチェックします。
          </para>
@z