%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <title>Installation of Glibc</title>
@y
    <title>&InstallationOf1;Glibc&InstallationOf2;</title>
@z

@x
    <para os="l3">Modify the <command>ldd</command> rewrite script to prevent
    it from adding <filename class="directory">lib64</filename> and
    <filename class="directory">libx32</filename> to its list of linker
    search locations:</para>
@y
    <!--
    日本語訳註: matsuand
    rewrite は訳出しなかった。ldd にそういう機能性があるらしきであるが、
    訳出することで変にくどくなってしまうことを避けることに。
    -->
    <para os="l3">
    スクリプト <command>ldd</command> を修正して、リンカーの検索場所の一覧に <filename
    class="directory">lib64</filename> ディレクトリや <filename
    class="directory">libx32</filename> ディレクトリを加えないようにします。
    </para>
@z

@x
    <para os="l5">Configure Glibc to install its libraries into
    <filename class="directory">/lib</filename>:</para>
@y
    <para os="l5">
    Glibc においてライブラリのインストール先を <filename class="directory">/lib</filename> にします。
    </para>
@z

@x
    <title>Configuring The Dynamic Loader</title>
@y
    <title>&Configuring1;ダイナミックローダー&Configuring2;</title>
@z

@x
    <para>By default, the dynamic loader (<filename
    class="libraryfile">/lib/ld-linux-x86-64.so.2</filename>) searches through
    <filename class="directory">/lib</filename> and <filename
    class="directory">/usr/lib</filename> for dynamic libraries that are
    needed by programs as they are run. However, if there are libraries in
    directories other than <filename class="directory">/lib</filename> and
    <filename class="directory">/usr/lib</filename>, these need to be
    added to the <filename>/etc/ld.so.conf</filename> file in order
    for the dynamic loader to find them. Two directories that are commonly
    known to contain additional libraries are <filename
    class="directory">/usr/local/lib</filename> and <filename
    class="directory">/opt/lib</filename>, so add those directories to the
    dynamic loader's search path.</para>
@y
    <para>
    ダイナミックリンカー (<filename
    class="libraryfile">/lib/ld-linux-x86-64.so.2</filename>) がダイナミックライブラリを検索するデフォルトのディレクトリが <filename
    class="directory">/lib</filename> ディレクトリと <filename
    class="directory">/usr/lib</filename> ディレクトリです。
    各種プログラムが実行される際にはここから検索されたダイナミックライブラリがリンクされます。
    もし <filename class="directory">/lib</filename> や <filename
    class="directory">/usr/lib</filename> 以外のディレクトリにライブラリファイルがあるなら <filename>/etc/ld.so.conf</filename> ファイルに記述を追加して、ダイナミックローダーがそれらを探し出せるようにしておくことが必要です。
    追加のライブラリが配置されるディレクトリとしては <filename
    class="directory">/usr/local/lib</filename> ディレクトリと <filename
    class="directory">/opt/lib</filename> ディレクトリという二つがよく利用されます。
    ダイナミックローダーの検索パスとしてこのようなディレクトリを追加します。
    </para>
@z