%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
  <title>Resources</title>
@y
  <title>情報源</title>
@z

@x
    <para>If during the building of the CLFS system you encounter any
    errors, have any questions, or think there is a typo in the book,
    please start by consulting the Frequently Asked Questions (FAQ)
    that is located at <ulink url="&faq-root;"/>.</para>
@y
    <para>
    LFS システムの構築作業中にエラー発生したり、疑問を抱いたり、あるいは本書の誤記を発見した場合、まず手始めに <ulink
    url="&faq-root;"/> に示されている「よく尋ねられる質問」(Frequently Asked Questions; FAQ) を参照してください。
    </para>
@z

@x
    <title>Mailing Lists</title>
@y
    <title>メーリングリスト</title>
@z

@x
    <para>The <uri>clfs.org</uri> server hosts a number of
    mailing lists used for the development of the CLFS project. These lists
    include the main development and support lists, among others. If the
    FAQ does not contain your answer, you can search the CLFS lists via
    The Mail Archive <ulink url="http://www.mail-archive.com"/>. You can
    find the mail lists with the following link:</para>
@y
    <para>
    <uri>clfs.org</uri> サーバーでは CLFS 開発プロジェクトのために多くのメーリングリストを立ち上げています。
    このメーリングリストは主となる開発用とは別に、サポート用のものもあります。
    FAQ の中に答えがなかった場合は メールアーカイブ (Mail Archive) <ulink url="http://www.mail-archive.com"/> において CLFS のメーリングリストを検索してみてください。
    以下のリンクからもアクセスすることができます。
    </para>
@z

@x
    <para>For information on the different lists, how to subscribe, archive
    locations, and additional information, visit <ulink url="&clfs-wiki;wiki/lists"/>.</para>
@y
    <para>
    これ以外に、投稿の方法、アーカイブの配置場所などに関しては <ulink url="&clfs-wiki;wiki/lists"/> を参照してください。
    </para>
@z

@x
    <title>News Server</title>
@y
    <title>ニュースサーバー</title>
@z

@x
    <para>Cross-LFS does not maintain its own News Server, but we do provide
    access via <uri>gmane.org</uri> <ulink url="http://gmane.org"/>. If you want to subscribe
    to the Cross-LFS lists via a newsreader you can utilize <uri>gmane.org</uri>.
    You can find the gmane search for CLFS with the following link:</para>
@y
    <para>
    CLFS には独自のニュースサーバーはありませんが <uri>gmane.org</uri> <ulink
    url="http://gmane.org"/> を通じてこれを提供しています。
    CLFS リストにニュースリーダーを通して投稿する場合は <uri>gmane.org</uri> を利用してください。
    gmane 内の CLFS 関連の情報は以下のリンクから検索できます。
    </para>
@z

@x
    <title>IRC</title>
@y
    <title>IRC</title>
@z

@x
    <para>Several members of the CLFS community offer assistance on our
    community Internet Relay Chat (IRC) network. Before using this support,
    please make sure that your question is not already answered in the CLFS
    FAQ or the mailing list archives. You can find the IRC network at
    <uri>chat.freenode.net</uri>. The support channel for cross-lfs is
    named #cross-lfs. If you need to show people the output of your
    problems, please use
    <ulink url="http://pastebin.clfs.org"/> and reference
    the pastebin URL when asking your questions.</para>
@y
    <para>
    CLFS コミュニティのメンバーの中には、インターネットリレーチャット (Internet Relay Chat; IRC) によるサポートを行っている者もいます。
    ここに対して質問を挙げる場合は、FAQ やメーリングリストに同様の質問や答えがないかどうかを必ず確認してください。
    IRC は <uri>chat.freenode.net</uri> において、チャネル名 #cross-lfs により提供しています。
    また質問の際に出力結果を示す場合は <ulink
    url="http://pastebin.clfs.org"/> を利用しその URL をお知らせください。
    </para>
@z

@x
  <sect2 id="ch-intro-mirrors" xreflabel="Chapter 1 - Mirror sites">
    <title>Mirror Sites</title>
@y
  <sect2 id="ch-intro-mirrors" xreflabel="第1章 - ミラーサイト">
    <title>ミラーサイト</title>
@z

@x
    <para>The CLFS project has a number of world-wide mirrors to make
    accessing the website and downloading the required packages more
    convenient. Please visit the CLFS website at
    <ulink url="&clfs-wiki;wiki/mirrors"/> for mirrors of CLFS.</para>
@y
    <para>
    CLFS プロジェクトは世界中にミラーサイトがあります。
    これらを使えばウェブサイト参照やパッケージのダウンロードがより便利に利用できます。
    以下のサイトによりミラーサイトの情報を確認してください。
    <ulink url="&clfs-wiki;wiki/mirrors"/>
    </para>
@z

@x
    <title>Contact Information</title>
@y
    <title>連絡先</title>
@z

@x
    <para>Please direct all your questions and comments to the
    CLFS mailing lists (see above).</para>
@y
    <para>
    質問やコメントは (上に示した) メーリングリストを活用してください。
    </para>
@z