%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <para>The DHCPCD package provides a DHCP Client for network configuration.</para>
@y
    <para>
    DHCPCD パッケージはネットワーク設定を行う DHCP クライアントを提供します。
    </para>
@z

@x
    <title>Installation of DHCPCD</title>
@y
    <title>&InstallationOf1;DHCPCD &InstallationOf2;</title>
@z

@x
    <para os="a">If you wish to configure your network to connect to a DHCP
      server, you will first need to install a DHCP client. CLFS uses the
      DHCPCD package for this.</para>
@y
    <para os="a">
    DHCP サーバーに接続する設定を行う場合には、まず DHCP クライアントをインストールする必要があります。
    CLFS では DHCPCD パッケージを利用します。
    </para>
@z

@x
    <para os="b">Prepare DHCPCD for compilation:</para>
@y
    <para os="b">&PreparePackage1;DHCPCD &PreparePackage2;</para>
@z

@x
    <para os="d">Compile the package:</para>
@y
    <para os="d">&CompileThePackage;</para>
@z

@x
    <para os="f">This package does not come with a test suite.</para>
@y
    <para os="f">&NotExistTestsuite;</para>
@z

@x
    <para os="g">Install the package:</para>
@y
    <para os="g">&InstallThePackage;</para>
@z

@x
    <title>Creating the DHCP Network Interface Configuration File</title>
@y
    <title>DHCP ネットワークインターフェイス向け設定ファイルの生成</title>
@z

@x
    <para>The following is an example for the eth0 interface. Refer to the
    dhcpcd.conf man page for more information. This step may be skipped if
    default behavior of dhcpcd is required.</para>
@y
    <para>
    以下は eth0 インターフェースの設定例です。
    詳細は dhcpcd.conf の man ページを参照してください。
    dhcpcd のデフォルト設定を必要とする場合はこの手順を飛ばしてください。
    </para>
@z

@x
    <para>Create the <filename>/etc/dhcpcd.conf</filename> configuration file
    using the following commands. Adjust appropriately for additional options:</para>
@y
    <para>
    以下のコマンドにより設定ファイル <filename>/etc/dhcpcd.conf</filename> を生成します。
    他のオプションを利用する場合は追記してください。
    </para>
@z

@x
    <para>To configure another Static Interface, Follow <xref linkend="ch-network-static"/>.</para>
@y
    <para>
    これ以外にスタティックインターフェースを設定する場合は <xref linkend="ch-network-static"/> に進んでください。
    </para>
@z

@x
    <title>Configuring the Network Interface at boot</title>
@y
    <title>ネットワークインターフェースの起動時設定</title>
@z

@x
    <para>Enabling of the Network Interface configuration is
    done per interface. To enable Network Interface
    configuration at boot, run:</para>
@y
    <para>
    ネットワークインターフェースに対する設定は各インターフェースごとに行います。
    ネットワークインターフェースの設定を起動時に有効とするためには以下を実行します。
    </para>
@z

@x
    <para>To disable previously enabled Network Interface
    configuration at boot, run:</para>
@y
    <para>
    逆にネットワークインターフェースの設定を起動時に無効にするには以下を実行します。
    </para>
@z

@x
    <para>To manually start the Network Interface configuration,
    run:</para>
@y
    <para>
    ネットワークインターフェースの設定を手動で有効にするには以下を実行します。
    </para>
@z

@x
    <para>Replace eth0 with the correct Network Interface
    name as described on the beginning of this page.</para>
@y
    <para>
    上で説明しているように eth0 の部分はネットワークインターフェース名に合わせて書き換えてください。
    </para>
@z

@x
    <title>Contents of dhcpcd</title>
@y
    <title>&ContentsOf1;dhcpcd &ContentsOf2;</title>
@z

@x
      <segtitle>Installed files</segtitle>
@y
      <segtitle>&InstalledFile;</segtitle>
@z

@x
        <seg>dhcpcd</seg>
@y
        <seg>dhcpcd</seg>
@z

@x
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@y
      <bridgehead renderas="sect3">&ShortDescriptions;</bridgehead>
@z

@x dhcpcd
          <para>dhcpcd is an implementation of the DHCP client specified in
          RFC 2131. It gets the host information from a DHCP server and
          configures the network interface automatically.</para>
@y
          <para>
          dhcpcd は RFC2131 にて定義されている DHCP クライアントの実装です。
          DHCP サーバーからホスト情報を取得してネットワークインターフェースの設定を自動的に行います。
          </para>
@z