%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
  <title>Rebooting the System</title>
@y
  <title>システムの再起動</title>
@z

@x
  <para>If you built your final system using the boot method, just run
  <command>shutdown -r now</command> to reboot again, using your newly-built
  kernel instead of the miminal one currently in use. If you chrooted,
  there are a few more steps.</para>
@y
  <para>
  最終システムの構築にあたって再起動する方法を選んだ場合は、ここで <command>shutdown -r now</command> を実行してもう一度再起動してください。
  現在利用している最小限のカーネルでなく、新たに作り上げたカーネルによりシステムが再起動します。
  chroot する方法を選んだ場合は以降の手順を要します。
  </para>
@z

@x
  <para>The system you have created in this book is quite minimal, and most
  likely will not have the functionality you would need to be able to
  continue forward. By installing a few extra packages from CBLFS
  while still in our current chroot environment, you can leave
  yourself in a much better position to continue on once you reboot
  into your new CLFS installation. Installing a text mode web browser,
  such as Lynx, you can easily view the CBLFS website in one virtual terminal,
  while building packages in another. The GPM package will also allow you
  to perform copy/paste actions in your virtual terminals. Lastly, if you
  are in a situation where static IP configuration does not meet your
  networking requirements, installing packages such as Dhcpcd or PPP at
  this point might also be useful.</para>
@y
  <para>
  本書を通じて構築したシステムは最小限のものです。
  これ以降にさまざまなことを繰り広げていくには、機能が不足しているはずです。
  もうしばらくは今までと同じように chroot 環境を利用して CBLFS ブックからいくつかのパッケージをインストールしていきましょう。
  その後のリブートにより新しい CLFS システムを起動すれば、より一層、満足できる環境を得ることになるはずです。
  Lynx のようなテキストブラウザーをインストールしておけば、仮想端末からでも CBLFS ブックを簡単に参照しながらパッケージビルド作業を進めることができます。
  GPM パッケージをインストールすれば、仮想端末内にてコピーペースト操作を行うことができます。
  ネットワーク環境内にて固定 IP アドレスを用いることが適当ではない場合は、dhcpcd パッケージや PPP パッケージを利用することが考えられます。
  </para>
@z

@x
  <para>Now that we have said that, lets move on to booting our shiny
  new CLFS installation for the first time! First exit from the chroot
  environment:</para>
@y
  <para>
  さあよろしいですか。
  新しくインストールした CLFS システムの再起動を行いましょう。
  まずは chroot 環境から抜けます。
  </para>
@z

@x
  <para>Then unmount the virtual file systems:</para>
@y
  <para>
  仮想ファイルシステムをアンマウントします。
  </para>
@z

@x
  <para>Unmount the CLFS file system itself:</para>
@y
  <para>
  CLFS ファイルシステムもアンマウントします。
  </para>
@z

@x
  <para>If multiple partitions were created, unmount the other
  partitions before unmounting the main one, like this:</para>
@y
  <para>
  複数のパーティションを生成していた場合は、以下のようにして複数パーティションをアンマウントします。
  メインのパーティションのアンマウントはその後に行います。
  </para>
@z

@x
  <para>Now, reboot the system with:</para>
@y
  <para>
  以下のようにしてシステムを再起動します。
  </para>
@z

@x
  <para>Assuming the boot loader was set up as outlined earlier,
  <emphasis>CLFS &version;</emphasis> will boot automatically.</para>
@y
  <para>
  これまでの作業によりブートローダーを設定しました。
  <emphasis>CLFS &version;</emphasis> は自動的に起動するはずです。
  </para>
@z

@x
  <para>When the reboot is complete, the CLFS system is ready for use and
  more software may be added to suit your needs.</para>
@y
  <para>
  再起動が無事行われ CLFS システムを使うことができます。
  必要に応じてさらなるソフトウェアをインストールしていってください。
  </para>
@z