%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
  <title>What Now?</title>
@y
  <title>今度は何?</title>
@z

@x
  <para>Thank you for reading this CLFS book. We hope that you have
  found this book helpful and have learned more about the system
  creation process.</para>
@y
  <para>
  本書をお読み頂き、ありがとうございます。
  本書が皆さんにとって有用なものとなり、システムの構築方法について十分に学んで頂けたものと思います。
  </para>
@z

@x
  <para>Now that the CLFS system is installed, you may be wondering
  <quote>What next?</quote> To answer that question, we have compiled
  a list of resources for you.</para>
@y
  <para>
  CLFS システムをインストールしたら<quote>次は何を？</quote>とお考えになるかもしれません。
  その質問に答えるために以下に各種の情報をまとめます。
  </para>
@z

@x
      <para>Maintenance</para>
@y
      <para>保守</para>
@z

@x
      <para>Bugs and security notices are reported regularly for all software.
      Since a CLFS system is compiled from source, it is up to you to keep
      abreast of such reports.  There are several online resources that track
      such reports, some of which are shown below:</para>
@y
      <para>
      あらゆるソフトウェアにおいて、バグやセキュリティの情報は日々報告されています。
      CLFS システムはソースコードからコンパイルしていますので、そのような報告を見逃さずにおくことは皆さんの仕事となります。
      そのような報告をオンラインで提供する情報の場がありますので、いくつかを以下に示しましょう。
      </para>
@z

@x
          <para><ulink url="http://www.cert.org/">CERT</ulink> (Computer
          Emergency Response Team)</para>
@y
          <para><ulink url="http://www.cert.org/">CERT</ulink> (Computer
          Emergency Response Team)</para>
@z
@x
          <para>CERT has a mailing list that publishes security alerts
          concerning various operating systems and applications.
          Subscription information is available at <ulink
          url="http://www.us-cert.gov/cas/signup.html"/>.</para>
@y
          <para>
          CERT にはメーリングリストがあり、数々のオペレーティングシステムやアプリケーションにおけるセキュリティ警告を公開しています。
          購読に関する情報は <ulink url="http://www.us-cert.gov/cas/signup.html"/> を参照してください。
          </para>
@z

@x Bugtraq
          <para>Bugtraq is a full-disclosure computer security mailing list.
          It publishes newly discovered security issues, and occasionally
          potential fixes for them. Subscription information is available at
          <ulink url="http://www.securityfocus.com/archive"/>.</para>
@y
          <para>
          バグトラックは、完全公開のコンピューターセキュリティに関するメーリングリストです。
          これは新たに発見されたセキュリティに関する問題を公開しています。
          また時には、その問題を解消するフィックス情報も提供してくれます。
          購読に関する情報は <ulink url="http://www.securityfocus.com/archive"/> を参照してください。
          </para>
@z

@x
      <para>Community Driven Beyond Linux From Scratch</para>
@y
      <para>CBLFS (Community Driven Beyond Linux From Scratch)</para>
@z

@x
      <para>The Community Driven Beyond Linux From Scratch wiki covers installation
      procedures for a wide range of software beyond the scope of the CLFS
      Book. CBLFS is designed specifically to work with the CLFS book, and has all
      the necessary information to continue the builds in the same manner that CLFS
      uses. This is a community driven project, which means anyone can contribute and
      provide updates. The CBLFS project is located at <ulink url="&cblfs-root;"/>.</para>
@y
      <para>
      CBLFS (Community Driven Beyond Linux From Scratch) の wiki では CLFS が取り扱っていない数多くのソフトウェアについてのインストール手順を示しています。
      CBLFS は CLFS ブックに基づいて構築されています。
      したがって CLFS と同じようにしてビルド作業を進めていくことができます。
      これはコミュニティー主導型の (community driven) プロジェクトです。
      つまりどなたでも情報提供や更新を行うことができます。
      CBLFS プロジェクトは <ulink url="&cblfs-root;"/> よりアクセスしてください。
      </para>
@z

@x
      <para>CLFS Hints</para>
@y
      <para>CLFS ヒント</para>
@z

@x
      <para>The CLFS Hints are a collection of educational documents
      submitted by volunteers in the CLFS community. The hints are available
      at <ulink url="&hints-root;"/>.</para>
@y
      <para>
      CLFS ヒントは有用なドキュメントを集めたものです。
      CLFS コミュニティのボランティアによって投稿されたものです。
      それらのヒントは <ulink url="&hints-root;"/> にて参照することができます。
      </para>
@z

@x
      <para>Mailing lists</para>
@y
      <para>メーリングリスト</para>
@z

@x
      <para>There are several CLFS mailing lists you may subscribe to if you
      are in need of help, want to stay current with the latest developments,
      want to contribute to the project, and more. See <xref
      linkend="ch-intro-maillists"/> for more
      information.</para>
@y
      <para>
      皆さんにも参加して頂ける CLFS メーリングリストがあります。
      何かの助けが必要になったり、最新の開発を行いたかったり、あるいはプロジェクトに貢献したいといった場合に、参加して頂くことができます。
      詳しくは <xref linkend="ch-intro-maillists"/>を参照してください。
      </para>
@z

@x
      <para>The Linux Documentation Project</para>
@y
      <para>
      Linux ドキュメントプロジェクト (The Linux Documentation Project; TLDP)
      </para>
@z

@x
      <para>The goal of The Linux Documentation Project (TLDP) is to
      collaborate on all of the issues of Linux documentation. The TLDP features
      a large collection of HOWTOs, guides, and man pages.  It is located at
      <ulink url="http://www.tldp.org/"/>.</para>
@y
      <para>
      Linux ドキュメントプロジェクトの目指すことは
      Linux のドキュメントに関わる問題を共同で取り組むことです。
      TLDP ではハウツー (HOWTO)、ガイド、man ページを数多く提供しています。
      以下のサイトにあります。
      <ulink url="http://www.tldp.org/"/>
      </para>
@z